Api Reference
getNFTMetadata
Create a transaction that stakes ETH.
Query parameters
sourcestringOptionalDefault:
query source.
xxxStrategyIdstringOptionalDefault:
Id of the strategy.
32xaddressstringRequiredExample:
The address performing the staking action. The address will have the authority to unstake.
chainup.ethamountstringRequiredExample:
The amount of ETH to stake (in uint256).
32000000000Responses
200
Successful operation
strategyIdstringOptionalExample:
32xroutesstring[]OptionalExample:
ChainupPoolweightsstring[]OptionalExample:
100%yieldsBreakdownstring[]OptionalExample:
5.7%totalYieldstringOptionalExample:
5.7%405
Invalid input
get/quote/stake
GET /aggregator/api/v1/quote/stake?address=chainup.eth&amount=32000000000 HTTP/1.1
Host: staking.chainupcloud.com
Accept: */*
{
"strategyId": "32x",
"routes": [
"ChainupPool"
],
"weights": [
"100%"
],
"yieldsBreakdown": [
"5.7%"
],
"totalYield": "5.7%",
"transaction": {
"gas": "0x2710",
"to": "0x0000000000000000000000000000000000000000",
"from": "0xD0d76886cF8D952ca26177EB7CfDf83bad08C00C",
"value": "0x00",
"data": "0x7f7465737432000000000000000000000000000000000000000000000000000000600057",
"chainId": "0x3"
}
}Reserved, not available until Shanghai upgrade
Query parameters
sourcestringOptionalDefault:
query source.
xxxaddressstringRequiredDefault:
The address performing the staking action. The address will have the authority to sell.
chainup.ethpubkeysstringRequiredExample:
The pubey of the validator that will be sold. When selling all, can fill in "all"
ad28d4ce9afdac1584e4ce9440b7e1a9dc4a8c5f4bc8c66883723647fce77e42fe7898615a7af1e4971cd7a08403e349,ccd544ce9afdac1584e4ce9440b7e1a9dc4a8c5f4bc8c66883723647fce77e42fe7898615a7af1e4971cd7a08403e350amountstringOptionalExample:
Used to support partial exits after staking pools (in uint256).
32000000000Responses
200
Successful operation
gasstringOptionalExample:
0x2710tostringOptionalExample:
0x0000000000000000000000000000000000000000fromstringOptionalExample:
0xD0d76886cF8D952ca26177EB7CfDf83bad08C00CvaluestringOptionalExample:
0x00datastringOptionalExample:
0x7f7465737432000000000000000000000000000000000000000000000000000000600057chainIdstringOptionalExample:
0x3405
Invalid input
get/quote/unstake
GET /aggregator/api/v1/quote/unstake?address=chainup.eth&pubkeys=ad28d4ce9afdac1584e4ce9440b7e1a9dc4a8c5f4bc8c66883723647fce77e42fe7898615a7af1e4971cd7a08403e349%2Cccd544ce9afdac1584e4ce9440b7e1a9dc4a8c5f4bc8c66883723647fce77e42fe7898615a7af1e4971cd7a08403e350 HTTP/1.1
Host: staking.chainupcloud.com
Accept: */*
{
"gas": "0x2710",
"to": "0x0000000000000000000000000000000000000000",
"from": "0xD0d76886cF8D952ca26177EB7CfDf83bad08C00C",
"value": "0x00",
"data": "0x7f7465737432000000000000000000000000000000000000000000000000000000600057",
"chainId": "0x3"
}Gets the metadata associated with a given NFT.
Last updated